<?php

namespace backend\models;

use Yii;
use yii\base\Model;
use yii\data\ActiveDataProvider;
use backend\models\Category;

class CategorySearch extends Category {

    public function rules() {
        return [
            [['cat_name', 'cat_id','cat_description'], 'safe'],
        ];
    }

    public function search($params) {
        $query = Category::find();
        $dataProvider = new ActiveDataProvider([
            'query' => $query,
            'pagination' => [ 'pageSize' => 5],
            'sort'=> ['defaultOrder' => ['cat_id' => SORT_DESC]]
        ]);
        $this->load($params);
        
        if (!$this->validate()) {
            return $dataProvider;
        }
        $query->andFilterWhere([
            'id' => $this->cat_id,
        ]);
        $query->andFilterWhere(['like', 'cat_id', $this->cat_id])
            ->andFilterWhere(['like', 'cat_name', $this->cat_name])
            ->andFilterWhere(['like', 'cat_description', $this->cat_description]);
        return $dataProvider;
    }

}
