<?php

namespace backend\models;
use yii\db\Expression;
use yii\bootstrap\Modal;
use yii\web\UploadedFile;
use yii\data\ActiveDataProvider;
use Yii;

class Product extends \yii\db\ActiveRecord
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'product';
    }
    /**
     * @inheritdoc
     */
    public $imageFile;

    public function rules()
    {
        return [
            [['name','price','cat_id','description'], 'required'],
            ['price','integer'],
            [['product_thumb'], 'safe'],
            [['created_at','updated_at'], 'safe'],
            [['product_thumb'], 'file', 'extensions'=>'jpg, gif, png'],
        ];
    }
   
    public function attributeLabels()
    {
        return [
            'cat_id' => 'Category',
        ];
    }
    //add product
    public function addproduct()
    {
        if (!$this->validate()) {
            return null;
        }
        $product = new Product();
        $this->imageFile->saveAs(Yii::getAlias('@common'). '/uploads/products/' . $this->imageFile->baseName . '.' . $this->imageFile->extension);
        $product->name = $this->name;
        $product->description = $this->description;
        $product->price = $this->price;
        $product->cat_id = $this->cat_id;
        $product->product_thumb = $this->imageFile->baseName . '.' . $this->imageFile->extension;
        $product->created_at = date('Y:m:d H:i:s');
        $product->updated_at = date('Y:m:d H:i:s');
        $product->save() ? $product : null;
        return true;
    }
    //get Category name
    public function getCategoryName() {
       return $this->hasOne(Category::className(), ['cat_id' => 'cat_id']);
    }
    //get Product Img
    public function getProductImgFile() {
        return isset($this->product_thumb) ? Yii::getAlias('@common') . '/uploads/products/' . $this->product_thumb : null;
    }
    //get Product img url
    public function getProductImgUrl() {
        $profile_pic = isset($this->product_thumb) ? $this->product_thumb : 'no_image.jpg';
        return Yii::getAlias('@commonimg') . '/uploads/products/' . $profile_pic;
    }
    //upload updated file Product image
    public function uploadProductImg() {
        $image = UploadedFile::getInstance($this, 'product_thumb');
        if (empty($image)) {
            return false;
        }
        $ext = end((explode(".", $image->name)));
        $this->product_thumb = $image->name;
        return $image;
    }
    public function getorderbyid($id) {
        $query = (new \yii\db\Query)
                ->from('billingdetails')
                ->where(['id' => $id]);
        $rows = $query->all();
        return $rows;
    }
    public function orderdelete($id) {
        $orderDelete = Yii::$app->db->createCommand()->delete('billingdetails', 'id="' . $id . '"')->execute();
        if ($orderDelete != '') {
            return TRUE;
        } else {
            return false;
        }
    }

}
?>
