<?php

namespace backend\models;

use Yii;
use yii\base\Model;
use yii\data\ActiveDataProvider;
use backend\models\User;

class UserSearch extends User {

 

    public function rules() {
        return [
            [['username', 'email'], 'safe'],
        ];
    }

    public function scenarios() {
        return Model::scenarios();
    }
    public function search($params) {
        $query = User::find()->where(['!=', 'username', 'admin']);
        $dataProvider = new ActiveDataProvider([
            'query' => $query,
            'pagination' => [ 'pageSize' => 5],
            'sort'=> ['defaultOrder' => ['id' => SORT_DESC]]
        ]);
        $this->load($params);
        if (!$this->validate()) {
            return $dataProvider;
        }
        //$query->joinWith('contactDetails');
        $query->andFilterWhere([
            'id' => $this->id,
        ]);
        $query->andFilterWhere(['like', 'username', $this->username])
                ->andFilterWhere(['like', 'email', $this->email]);
        return $dataProvider;
    }
}