<?php

use yii\helpers\Html;
use yii\widgets\DetailView;

$this->title = ucwords($model->name);
$this->params['breadcrumbs'][] = ['label' => 'Product', 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="post-view">
    <h3><?= Html::encode($this->title) ?></h3>
    <p>
        <?= Html::a('Update', ['update', 'id' => $model->id], ['class' => 'btn btn-primary']) ?>
        <?= Html::a('Delete', ['delete', 'id' => $model->id], [
            'class' => 'btn btn-danger',
            'data' => [
                'confirm' => 'Are you sure you want to delete this item?',
                'method' => 'post',
            ],
        ]) ?>
    </p>
    <?= DetailView::widget([
        'model' => $model,
        'attributes' => [
            'id',
            'name',
            [
            'label' => 'Category',
            'value' => $model->categoryName->cat_name,
            ],
            'description',
            'price',
            [
            'attribute'=>'Product Img',
            'value'=>Yii::getAlias('@commonimg') . '/uploads/products/' . $model->product_thumb,
            'format' => ['image',['width'=>'100','height'=>'100']],
            ],
        ],
    ]) ?>

</div>
