<?php

namespace frontend\controllers;

use Yii;
use frontend\models\Contact;
use frontend\models\Country;
use frontend\models\ContactSearch;
use yii\web\Controller;
use yii\web\NotFoundHttpException;
use yii\filters\VerbFilter;

class ContactController extends Controller
{
   
    public function behaviors()
    {
        return [
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'delete' => ['POST'],
                ],
            ],
        ];
    }
//    public function actionIndex()
//    {
//        //Contact::model()->getData();
//       // $model = new Contact();
//        //$countries=Country::find()->all();
//        $userdata = $model->getData();
//        if(empty($userdata)){
//            echo "hi";exit;
////            return $this->render('create', [
////                'model' => $model,
////                'countries' => $countries,
////            ]);
//        }else{
//            echo "hi1";exit;
//        }
////        /echo "<pre>";print_r($userdata);exit;
//        $searchModel = new ContactSearch();
//        $dataProvider = $searchModel->search(Yii::$app->request->queryParams);
//        return $this->render('index', [
//            'searchModel' => $searchModel,
//            'dataProvider' => $dataProvider,
//        ]);
//    }
    public function actionView($id)
    {
        return $this->render('view', [
            'model' => $this->findModel($id),
        ]);
    }

    public function actionCreate()
    {
        $model = new Contact();
        $countries = Country::find()->all();
        $user_id = $model->getUserDetailsData();
        if ($user_id!='') {
            return $this->redirect(['view','id' =>$user_id]);
        }
        if ($model->load(Yii::$app->request->post())) {
            if ($contact = $model->addusercontactdetail()) {
                Yii::$app->session->setFlash('success', 'User Contact Details Added Successfully..');
                return $this->redirect(['view', 'id' => $contact->id]);
            }
        } 
        else {
            return $this->render('create', [
                        'model' => $model,
                        'countries' => $countries,
            ]);
        }
    }

    public function actionUpdate($id)
    {
        $model = $this->findModel($id);
        $countries = Country::find()->all();
        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            Yii::$app->session->setFlash('success', 'User Contact Details Updated Successfully..');
            return $this->redirect(['view', 'id' => $model->id]);
        } else {
            return $this->render('update', [
                'model' => $model,
                'countries' => $countries,
            ]);
        }
    }
    public function actionDelete($id)
    {
        $this->findModel($id)->delete();

        return $this->redirect(['index']);
    }

    protected function findModel($id)
    {
        if (($model = Contact::findOne($id)) !== null) {
            return $model;
        } else {
            throw new NotFoundHttpException('The requested page does not exist.');
        }
    }
}
