<?php

namespace frontend\models;
use yii\db\Expression;

use Yii;

class Contact extends \yii\db\ActiveRecord
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'contactdetails';
    }

    /**
     * @inheritdoc
     */
   

    public function rules()
    {
        return [
            [['address','state','country_id','zipcode','phone','city'], 'required'],
            ['user_id','safe'],
            ['zipcode', 'integer','integerOnly'=>true],
            [['phone'], 'string','min'=>5, 'max' => 10,'message'=>'Should be 10 digit long.(Example: 9012687986)'],
        ];
    }
   
    public function attributeLabels()
    {
        return [
            'country_id' => 'Country',
        ];
    }
    
    public function addusercontactdetail()
    {
        if (!$this->validate()) {
            return null;
        }
        $contact = new Contact();
        $contact->user_id = $this->user_id;
        $contact->address = $this->address;
        $contact->country_id = $this->country_id;
        $contact->state = $this->state;
        $contact->city = $this->city;
        $contact->zipcode = $this->zipcode;
        $contact->phone = $this->phone;
        $contact->created_at = date('Y:m:d H:i:s');
        $contact->updated_at = date('Y:m:d H:i:s');
        //echo "<pre>";print_r($user);exit;
        return $contact->save() ? $contact : null;
    }  
    
    public static function getUserDetailsData() {
        $query = (new \yii\db\Query)->from('contactdetails')->where(['user_id' => Yii::$app->user->identity->id]);
        $rows = $query->one();
        return $rows['id'];
    }
     public function getCountryName()
     {
         $query = (new \yii\db\Query)->from('country')->where(['id' => $this->country_id]);
         $rows = $query->one();
         return $rows['name'];
     }
     
  }
?>  
