<?php
use yii\helpers\Html;
use frontend\models\Cart;
use yii\widgets\ActiveForm;
use yii\helpers\Url;
$cart = new Cart;
// redirect to home if cart is empty
if ($cart->total_items() <= 0) {
    return Yii::$app->response->redirect(Url::to(['/site/product-list']));
}
$userID = '';
if (!Yii::$app->user->isGuest) {
    $userID = Yii::$app->user->identity->id ? Yii::$app->user->identity->id : '';
    $_SESSION['sessCustomerID'] = $userID;
} else {
    $_SESSION['sessCustomerID'] = '0';
}
//echo $_SESSION['sessCustomerID'] = $userID;exit;
// get User details by session customer ID
$userData = (new \yii\db\Query())
        ->from('user')
        ->where('id="' . $_SESSION['sessCustomerID'] . '"')
        ->one();
?>
 <?php $form = ActiveForm::begin(['action' => ['cart/placeorder'], 'id' => 'forum_post', 'method' => 'post',]);
  ?>
        <div class="col-lg-5">
            <p>Returning customer? <a href="<?php echo Url::to(['/site/login']) ?>">Click here to login</a></p>
                <div class="form-group">
                    <label for="firstname">First Name:</label>
                    <input type="text" class="form-control" name="billing_first_name" id="first_name" required="required" value="<?php if (!Yii::$app->user->isGuest) { echo $userData['first_name'];}?>">
                </div>   
                <div class="form-group">
                    <label for="lastname">Last Name:</label>
                    <input type="text" class="form-control" name="billing_last_name" id="last_name" value="<?php if (!Yii::$app->user->isGuest) { echo $userData['last_name'];}?>">
                </div>
                <div class="form-group">
                    <label for="email">Email:</label>
                    <input type="email" class="form-control" name="billing_email" id="email" value="<?php if (!Yii::$app->user->isGuest) { echo $userData['email'];}?>">
                </div>   
                <div class="form-group">
                    <label for="email">Address:</label>
                    <textarea name="billing_address" class="form-control" id="address"></textarea>
                </div>   
            </div>
    <div style="float: left;width: 100%;">
        <h1>Your Order</h1>
        <table class="table">
            <thead>
                <tr>
                    <th>Product</th>
                    <th>Price</th>
                    <th>Quantity</th>
                    <th>Subtotal</th>
                </tr>
            </thead>
            <tbody>
                <?php
                if ($cart->total_items() > 0) {
                    //get cart items from session
                    $cartItems = $cart->contents();
                    foreach ($cartItems as $item) {
                        ?>
                        <tr>
                            <td><?php echo $item["name"]; ?></td>
                            <td><?php echo '$' . $item["price"] . ' USD'; ?></td>
                            <td><?php echo $item["qty"]; ?></td>
                            <td><?php echo '$' . $item["subtotal"] . ' USD'; ?></td>
                        </tr>
                    <?php
                    }
                } else {
                    ?>
                    <tr><td colspan="4"><p>No items in your cart......</p></td>
    <?php } ?>
            </tbody>
            <tfoot>
                <tr>
                    <td colspan="3"></td>
                    <?php if ($cart->total_items() > 0) { ?>
                    <td class="text-center"><strong>Total <?php echo '$' . $cart->total() . ' USD'; ?></strong></td>
                    <?php } ?>
                </tr>
            </tfoot>
        </table>
    </div>
    <div class="footBtn">
        <button type="submit" class="btn btn-success" value="Place Order">Place Order<i class='glyphicon glyphicon-menu-right'></i></button>
    </div>
<?php ActiveForm::end(); ?>
    <div class="footBtn">
        <a href="<?php echo Url::to(['/cart/product-list']) ?>" class="btn btn-warning"><i class="glyphicon glyphicon-menu-left"></i> Continue Shopping</a>
    </div>